> ## Documentation Index
> Fetch the complete documentation index at: https://docs.cxconnect.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Detect

> The detect endpoint performs language detection of the source text.



## OpenAPI

````yaml /specs/language-api.yaml post /language/detect
openapi: 3.1.0
info:
  description: cxconnect.ai Omni Language API
  version: 1.0.0
  title: cxconnect.ai Omni Language API
  contact:
    email: support@cxconnect.ai
  license:
    name: cxconnect.ai EULA
    url: https://cxconnect.ai
servers:
  - url: https://test.api.cxconnect.ai
security:
  - OAuth2:
      - access
      - read
      - write
  - BearerAuth:
      - access
      - read
      - write
tags:
  - name: language
    description: cxconnect.ai Language endpoints
externalDocs:
  description: cxconnect.ai
  url: https://cxconnect.ai
paths:
  /language/detect:
    post:
      tags:
        - language
      summary: Detect
      description: The detect endpoint performs language detection of the source text.
      operationId: detect
      requestBody:
        $ref: '#/components/requestBodies/DetectionRequest'
      responses:
        '200':
          description: Successful detection result
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DetectionResult'
        '400':
          description: Invalid request
        '401':
          description: Unauthorized
components:
  requestBodies:
    DetectionRequest:
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/DetectionRequest'
  schemas:
    DetectionResult:
      type: object
      properties:
        confidence:
          type: number
          format: float
        language:
          type: string
        meta:
          type: object
          additionalProperties:
            type: string
          example:
            foo: bar
    DetectionRequest:
      type: object
      properties:
        document:
          $ref: '#/components/schemas/Document'
        source_hint:
          type: string
        static:
          type: object
          additionalProperties:
            type: string
          example:
            hola: es
        min_confidence:
          type: number
          format: float
        min_chars:
          type: number
        max_chars:
          type: number
        limit_results:
          type: array
          items:
            type: string
        no_override:
          type: boolean
        meta:
          type: object
          additionalProperties:
            type: string
          example:
            foo: bar
    Document:
      type: object
      properties:
        value:
          oneOf:
            - type: string
            - type: object
        mime_type:
          type: string
        language:
          type: string
        meta:
          type: object
  securitySchemes:
    OAuth2:
      type: oauth2
      flows:
        clientCredentials:
          tokenUrl: https://test.auth.cxconnect.ai
          scopes:
            access: API level access to permit operations
            read: Allow read level access to stored configs and settings
            write: Allow write level access to store configs and settings
    BearerAuth:
      type: http
      scheme: bearer

````